View Issue Details

IDProjectCategoryView StatusLast Update
0000762Far Manager 1.7xFindFilespublic2009-03-29 21:00
ReporterHaRTAssigned Tovskirdin 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindows XP Professional 2002OS VersionSP3
Product Version1.75 
Target VersionFixed in Version1.75 
Summary0000762: Не находятся символические ссылки
DescriptionСимволическая ссылка на папку находится только если она либо непосредственно в текущей папке (при поиске от текущей папки), либо непосредственно в одной из выделенных папок (при поиске в выделенных).
Steps To Reproduce1. Создаём, например, такую структуру папок:
C:\
C:\1 <DIR>
C:\1\2 <DIR>
C:\1\2\3 <DIR>
C:\1\2\Temp <JUNCTION>

2. Создаём фильтр: "Symbolic links │ ....................L+.... .. │",

3. Заходим в папку C:\1, открываем поиск, включаем фильтр, ищем от текущей папки.
Должен найтись Temp, но ничего НЕ находится.

4. Выделяем папку 2, открываем поиск, включаем фильтр, ищем в выделенных папках.
Находится Temp, как и должен.

5. Заходим в папку C:\1\2, открываем поиск, включаем фильтр, ищем от текущей папки.
Находится Temp, как и должен.
Additional InformationВ сборке 2532 то же самое; на более ранних, чем 2516, не проверял.
TagsNo tags attached.
Build2544

Activities

vskirdin

2009-03-12 20:18

administrator   bugnote:0002762

такая же фигня и в 2.0
забыли в одном условии проверить на "проход по подкаталогам"

vskirdin

2009-03-12 20:28

administrator   bugnote:0002763

1.75 = 2544
2.00 = 821

Issue History

Date Modified Username Field Change
2009-02-26 18:32 HaRT New Issue
2009-03-12 20:16 vskirdin Status new => assigned
2009-03-12 20:16 vskirdin Assigned To => vskirdin
2009-03-12 20:18 vskirdin Note Added: 0002762
2009-03-12 20:28 vskirdin Note Added: 0002763
2009-03-12 20:28 vskirdin Status assigned => feedback
2009-03-29 21:00 alexy Build => 2544
2009-03-29 21:00 alexy Status feedback => closed
2009-03-29 21:00 alexy Resolution open => fixed
2009-03-29 21:00 alexy Fixed in Version => 1.75